<?php

namespace App\Generated\V1\DTOs;

use Kamicloud\StubApi\Concerns\ValueHelper;
use Kamicloud\StubApi\DTOs\DTO;
use Kamicloud\StubApi\Utils\Constants;

class BannerDTO extends DTO
{
    use ValueHelper;

    protected $isPraises;
    protected $charm;
    protected $count;
    protected $black;

    /**
     * @return int
     */
    public function getIsPraises()
    {
        return $this->isPraises;
    }

    /**
     * @return float
     */
    public function getCharm()
    {
        return $this->charm;
    }

    /**
     * @return int
     */
    public function getCount()
    {
        return $this->count;
    }

    /**
     * @return int
     */
    public function getBlack()
    {
        return $this->black;
    }

    public function setIsPraises($isPraises)
    {
        $this->isPraises = $isPraises;
    }

    public function setCharm($charm)
    {
        $this->charm = $charm;
    }

    public function setCount($count)
    {
        $this->count = $count;
    }

    public function setBlack($black)
    {
        $this->black = $black;
    }

    public function getAttributeMap()
    {
        return [
            ['isPraises', 'is_praises', 'bail|integer', Constants::INTEGER, null],
            ['charm', 'charm', 'bail|numeric', Constants::FLOAT, 'numeric'],
            ['count', 'count', 'bail|integer', Constants::INTEGER, null],
            ['black', 'black', 'bail|integer', Constants::INTEGER, null],
        ];
    }

}
